Bug Hunting Session
Bug 87825 - Incorrect filename in title bar (CMIS)
Summary: Incorrect filename in title bar (CMIS)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Start-Center CMIS File-Name Titlebar
  Show dependency treegraph
 
Reported: 2014-12-29 11:50 UTC by beimaginativeegroup
Modified: 2018-09-21 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
open dialog (29.36 KB, image/png)
2014-12-29 12:42 UTC, Yousuf Philips (jay) (retired)
Details
title bar (30.98 KB, image/png)
2014-12-29 12:42 UTC, Yousuf Philips (jay) (retired)
Details
start center tooltip (94.86 KB, image/png)
2014-12-29 12:43 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description beimaginativeegroup 2014-12-29 11:50:22 UTC
I've just created a Writer document and saved it using the CMIS feature on Google Drive. However, in the title bar the filename has a leading '/' before the actual name (like /name.odt). This is only cosmetic because in Google Drive the file is named correctly. 

I hope this report is detailed enough. 
Thanks.
Comment 1 Yousuf Philips (jay) (retired) 2014-12-29 12:41:37 UTC
When i tested in on Windows with LO 4.3.5, I see that it give the path within the CMIS of where the file is. Maybe it would be better to mention the CMIS Label before the path so it shows up better. Screenshots to follow.
Comment 2 Yousuf Philips (jay) (retired) 2014-12-29 12:42:24 UTC
Created attachment 111466 [details]
open dialog
Comment 3 Yousuf Philips (jay) (retired) 2014-12-29 12:42:55 UTC
Created attachment 111467 [details]
title bar
Comment 4 Yousuf Philips (jay) (retired) 2014-12-29 12:43:25 UTC
Created attachment 111468 [details]
start center tooltip
Comment 5 Adolfo Jayme 2014-12-29 22:21:00 UTC
I suggest dropping the initial slash and adding the CMIS service label *after* the file name, in the title bar. Example: “filename.odt (Google Drive)”.

On the other hand, the Start Center tooltip is fine except that it is displayed with percent-encoding, we should fix that.
Comment 6 Yousuf Philips (jay) (retired) 2015-01-02 23:26:48 UTC
(In reply to Adolfo Jayme (UX) from comment #5)
> I suggest dropping the initial slash and adding the CMIS service label
> *after* the file name, in the title bar. Example: “filename.odt (Google
> Drive)”.

Sounds like a great idea. I think was is needed is the removal of the entire path and not just the initial slash, as you could have files on the CMIS like '/libreoffice/adolfo.odt'.

> On the other hand, the Start Center tooltip is fine except that it is
> displayed with percent-encoding, we should fix that.

Will you submit a bug report for this or should it. :D
Comment 7 QA Administrators 2016-01-17 20:02:42 UTC Comment hidden (obsolete)
Comment 8 beimaginativeegroup 2016-05-25 15:46:07 UTC
I can't retest this bug because I can't reset remote servers. I'll write a new bug report.
Comment 9 beimaginativeegroup 2017-08-08 09:54:43 UTC
This is still valid in LibreOffice 5.3.0.3.
Comment 10 QA Administrators 2018-09-21 02:48:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug